Skip to navigation

Create Subscriber

Creates a Subscriber.

Required Fields

  • email

Read Only Fields

  • id

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
channel_idintegerOptional1-2147483647
The channel ID where the subscriber was created.
consentslist of enumsOptional

Shows the active subscriptions a shopper may have. If the consents array is empty, the user has unsubscribed or didn’t enable the newsletter subscription checkbox during checkout. The array will contain consent types like ‘marketing_newsletter’ and ‘abandoned_cart’.

Allowed values:
emailstringOptional
The email of the subscriber. Must be unique.
first_namestringOptional0-255 characters
The first name of the subscriber.
last_namestringOptional0-255 characters
The last name of the subscriber.
order_idinteger or nullOptional1-2147483647
The ID of the source order, if source was an order.
sourcestringOptional0-255 characters

The source of the subscriber. Values are: storefront, order, or custom.

Response

OK
dataobjectOptional
Full subscriber object returned in responses.
metaobjectOptional
Response metadata.

Errors

409
Conflict Error
422
Unprocessable Entity Error